package top.r3944realms.lib39.base.command;

import net.minecraft.resources.Identifier;
import top.r3944realms.lib39.Lib39;
import top.r3944realms.lib39.core.command.SimpleCommandHelpManager;

/**
 * <pre>
 * 命令帮助注册管理类
 * 这是一个模组内置的示例
 * </pre>
 */
public class Lib39CommandHelpManager extends SimpleCommandHelpManager {
    /**
     * 单例模式
     */
    public static volatile Lib39CommandHelpManager INSTANCE = new Lib39CommandHelpManager();
    /**
     * 作为唯一标识符
     */
    Identifier ID = Lib39.rl("command_helper");

    /**
     * <pre>
     * 一定要在构造器方法里调用 {@link #initialize 初始化方法}
     * Instantiates a new Lib 39 command help manager.
     * </pre>
     */
    public Lib39CommandHelpManager() {
        initialize();
    }

    @Override
    public Identifier getID() {
        return ID;
    }

    @Override
    public String getHeadKey() {
        return "lib39";
    }
}
